## org.eclipse.datatools.modelbase.sql.constraints
Interface TableConstraint

All Superinterfaces:
  Constraint, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Subinterfaces:
  CheckConstraint, ForeignKey, PrimaryKey, ReferenceConstraint, SybaseASABaseColumnCheckConstraint, SybaseASABaseForeignKey, SybaseASABasePrimaryKey, SybaseASABaseUniqueConstraint, SybaseASAForeignKey, SybaseASECheckConstraint, SybaseASEColumnCheckConstraint, SybaseASEPrimaryKey, SybaseASEUniqueConstraint, UniqueConstraint

All Known Implementing Classes:
  org.eclipse.datatools.modelbase.sql.constraints.impl.CheckConstraintImpl, org.eclipse.datatools.modelbase.sql.constraints.impl.ForeignKeyImpl, JDBCForeignKey, JDBCPrimaryKey, JDBCUniqueConstraint, MySqlCatalogForeignKey, MySqlCatalogPrimaryKey, org.eclipse.datatools.modelbase.sql.constraints.impl.PrimaryKeyImpl, org.eclipse.datatools.modelbase.sql.constraints.impl.ReferenceConstraintImpl, SybaseASABaseColumnCheckConstraintImpl, SybaseASABaseForeignKeyImpl, SybaseASABasePrimaryKeyImpl, SybaseASABaseUniqueConstraintImpl, SybaseASACatalogBaseCheckConstraint, SybaseASACatalogBaseColumnCheckConstraint, SybaseASACatalogBaseForeignKey, SybaseASACatalogBasePrimaryKey, SybaseASACatalogBaseUniqueConstraint, SybaseASACatalogForeignKey, SybaseASAForeignKeyImpl, SybaseASECatalogCheckConstraint, SybaseASECatalogForeignKey, SybaseASECatalogPrimaryKey, SybaseASECatalogUniqueConstraint, SybaseASECheckConstraintImpl, SybaseASEColumnCheckConstraintImpl, SybaseASEPrimaryKeyImpl, SybaseASEUniqueConstraintImpl, org.eclipse.datatools.modelbase.sql.constraints.impl.TableConstraintImpl, org.eclipse.datatools.modelbase.sql.constraints.impl.UniqueConstraintImpl

    public interface TableConstraint

extends Constraint

A representation of the model object 'Table Constraint'. Reference: 5WD-02-Foundation-2002-12 4.17.2 Table constraints

The following features are supported:

- `Base Table`

See Also:
  `SQLConstraintsPackage.getTableConstraint()`

Method Summary
`BaseTable` `getBaseTable()` Returns the value of the 'Base Table' container reference.
`void` `setBaseTable(BaseTable value)` Sets the value of the '`Base Table`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.constraints.Constraint
`isDeferrable, isEnforced, isInitiallyDeferred, setDeferrable, setEnforced, setInitiallyDeferred`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getBaseTable

    BaseTable getBaseTable()

  Returns the value of the 'Base Table' container reference. It is bidirectional and its opposite is '`Constraints`'.

  If the meaning of the 'Base Table' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Base Table' container reference.
  See Also:
    `setBaseTable(BaseTable)`, `SQLConstraintsPackage.getTableConstraint_BaseTable()`, `BaseTable.getConstraints()`

### setBaseTable

    void setBaseTable(BaseTable value)

  Sets the value of the '`Base Table`' container reference.

  Parameters:
    `value` - the new value of the 'Base Table' container reference.
  See Also:
    `getBaseTable()`